import arcpy
arcpy.env.workspace = arcpy.GetParameterAsText(0)  #r"C:\UCScripts\tabletofieldstool\TableToFields\Repository.gdb"
outgdb = arcpy.GetParameterAsText(1) #r"C:\UCScripts\tabletofieldstool\TableToFields\test.gdb"
# create a list of tables contained within the current workspace
tableList = arcpy.ListTables('DM_*')
for tb in tableList:
    #remove the left three characters 'DM_' from the domain table name
    dmname = str(tb)[3:]
    # execute table to domain tool with current table in list as input
    arcpy.TableToDomain_management(tb, 'code','desc', outgdb, dmname, dmname,'#')
