import arcpy, os
#exports all of the coded value domains from the input geodatabase to tables in the output geodatabase.
ingdb = arcpy.GetParameterAsText(0)
outgdb = arcpy.GetParameterAsText(1)
desc = arcpy.Describe(ingdb)
domains = desc.domains

for domain in domains:
    table = os.path.join(outgdb, "DM_" + domain)
    arcpy.DomainToTable_management(ingdb, domain, table,'code','desc', '#')